Get report by ID

GET
/reports/{id}

This endpoint allows fetching the details of a specific report.

Note that this will return the details of the report only. To download the report as a CSV file, use the /reports/{id}/download endpoint.

Provide the id returned when you requested the report.

Path Parameters

id*string

ID of the report you wish to retrieve

Formatuuid

Response Body

OK

application/json
  1. response
id*string
Formatuuid
type*string
status*string
createdAt*string
Formatdate-time
generatedAt?string
Formatdate-time
Example Request
curl -X GET 'https://gateway.sandbox.volt.io/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "string",  "status": "string",  "createdAt": "2019-08-24T14:15:22Z",  "generatedAt": "2019-08-24T14:15:22Z"}